Module org.jfree.chart3d
Package org.jfree.chart3d.renderer

# Interface ColorScaleRenderer

All Known Implementing Classes:
  `SurfaceRenderer`

public interface ColorScaleRenderer
An interface that should be implemented by renderers that use a `ColorScale` - this provides a mechanism for the `ColorScaleLegendBuilder` to find the color scale.

Since:
  1.1

## Method Summary

Modifier and Type
Method
Description
`ColorScale`
`getColorScale()`
Returns the color scale used by the renderer.

## Method Details

### getColorScale

ColorScale getColorScale()
Returns the color scale used by the renderer.

Returns:
  The color scale.